clear
use ../c-data/allarbdata.dta, replace
*appending fa data

append using ../c-data/allfadata.dta
*dropping extraneous variables
drop AA AB AC AD pitcher
move year7sal percentchangesal
move year8sal percentchangesal
move year9sal percentchangesal
move year10sal percentchangesal
rename age2 age
rename servicetime serv
*service time squared to allow for quadraticness
gen serv2=serv^2

*getting rid of pitchers, rookies (international, and players with injury concerns, bench roles resulting in little playing time)
 drop if position==1
drop if position==11
drop if serv==0
drop if papr<300
drop if gprior==.


*generating all interaction terms
gen fa_serv=fa*serv
gen fa_serv2=fa*serv2
gen fa_bWARpr=fa*bWARpr
gen fa_gpr=fa*gpr
gen fa_papr=fa*papr
gen fa_abpr=fa*abpr
gen fa_rpr=fa*rpr
gen fa_hitpr=fa*hitpr
gen fa_doubpr=fa*doubpr
gen fa_trippr=fa*trippr
gen fa_hrpr=fa*hrpr
gen fa_rbipr=fa*rbipr
gen fa_bbpr=fa*bbpr
gen fa_ibbpr=fa*ibbpr
gen fa_sopr=fa*sopr
gen fa_hbppr=fa*hbppr
gen fa_shpr=fa*shpr
gen fa_sfpr=fa*sfpr
gen fa_gdppr=fa*gdppr
gen fa_sbpr=fa*sbpr
gen fa_cspr=fa*cspr
gen fa_avgpr=fa*avgpr
gen fa_obppr=fa*obppr
gen fa_opspr=fa*opspr
gen fa_slgpr=fa*slgpr
gen fa_bWARpo=fa*bWARpo
gen fa_gpo=fa*gpo
gen fa_papo=fa*papo
gen fa_abpo=fa*abpo
gen fa_rpo=fa*rpo
gen fa_hitpo=fa*hitpo
gen fa_doubpo=fa*doubpo
gen fa_trippo=fa*trippo
gen fa_hrpo=fa*hrpo
gen fa_rbipo=fa*rbipo
gen fa_bbpo=fa*bbpo
gen fa_ibbpo=fa*ibbpo
gen fa_sopo=fa*sopo
gen fa_hbppo=fa*hbppo
gen fa_shpo=fa*shpo
gen fa_sfpo=fa*sfpo
gen fa_gdppo=fa*gdppo
gen fa_sbpo=fa*sbpo
gen fa_cspo=fa*cspo
gen fa_avgpo=fa*avgpo
gen fa_obppo=fa*obppo
gen fa_opspo=fa*opspo
gen fa_slgpo=fa*slgpo
gen fa_service=fa*serv
gen fa_bWAR3pr=fa*bWAR3pr
gen fa_g3pr=fa*g3pr
gen fa_pa3pr=fa*pa3pr
gen fa_ab3pr=fa*ab3pr
gen fa_r3pr=fa*r3pr
gen fa_hit3pr=fa*hit3pr
gen fa_doub3pr=fa*doub3pr
gen fa_trip3pr=fa*trip3pr
gen fa_hr3pr=fa*hr3pr
gen fa_rbi3pr=fa*rbi3pr
gen fa_bb3pr=fa*bb3pr
gen fa_ibb3pr=fa*ibb3pr
gen fa_so3pr=fa*so3pr
gen fa_hbp3pr=fa*hbp3pr
gen fa_sh3pr=fa*shp3pr
gen fa_sf3pr=fa*sf3pr
gen fa_gdp3pr=fa*gdp3pr
gen fa_sb3pr=fa*sb3pr
gen fa_cs3pr=fa*cs3pr
gen fa_avg3pr=fa*avg3pr
gen fa_obp3pr=fa*obp3pr
gen fa_ops3pr=fa*ops3pr
gen fa_slg3pr=fa*slg3pr
gen fa_age=fa*age

*rounding service time to nearest year 

replace serv=2 if serv>2 & serv<3
replace serv=3 if serv>3 & serv<4
replace serv=4 if serv>4 & serv<5
replace serv=5 if serv>5 & serv<6
replace serv=6 if serv>6 & serv<7
replace serv=7 if serv>7 & serv<8
replace serv=8 if serv>8 & serv<9
replace serv=9 if serv>9 & serv<10
replace serv=10 if serv>10 & serv<11
replace serv=11 if serv>11 & serv<12
replace serv=12 if serv>12 & serv<13
replace serv=13 if serv>13 & serv<14
replace serv=15 if serv>15 & serv<16
*Making various dummy varibles
gen hearing=1 if winningbid!=.
replace hearing=0 if winningbid==.
replace nontender=0 if nont!=1
replace TypeA=0 if TypeA!=1
replace TypeB=0 if TypeB!=1
replace Qual=0 if Qual!=1
*creating log versions for salary variables
gen lnaav=ln(aav)
gen lnpriorsal=ln(priorsal)
gen lndeter=ln(determ)
*labeling coded variables
label define fa 0 "ARB" 1 "FA"
label values fa fa

label define team 1 "ARI" 2 "ATL" 3 "BAL" 4 "BOS" 5 "CHC" 6 "CIN" 7 "CLE" 8 "COL" 9 "CHW" 10 "DET" 11 "FLA"  12 "HOU" 13 "KC" 14 "LAA" 15 "LAD" 16 "MIL" 17 "MIN" 18 "NYM" 19 "NYY" 20 "OAK" 21 "PHI" 22 "PIT" 23 "SD"  24 "SEA"  25 "SF" 26 "STL" 27 "TB" 28 "TEX" 29 "TOR" 30 "WAS" 31 "Japan" 32 "Cuba"
label values team team
destring teamprior, replace

label define position 1 "SP" 2 "C" 3 "1B" 4 "2B" 5 "3B" 6 "SS" 7 "LF" 8 "CF" 9 "RF" 10 "OF" 11 "RP" 12 "DH" 13 "UTIL"
label values position position

label define winningbid 1 "Player" 2 "Club"
label values winningbid winningbid

*Generating groups for preliminary analysis
gen avggroup=.
replace avggroup=1 if avgpr<.25
replace avggroup=2 if avgpr<.270 & avggroup==.
replace avggroup=3 if avgpr<.29 & avggroup==.
replace avggroup=4 if avgpr>.29 & avgpr!=.

gen wargroup=.
replace wargroup=1 if bWARpr<0
replace wargroup=2 if bWARpr<1 & wargroup==.
replace wargroup=3 if bWARpr<2 & wargroup==.
replace wargroup=4 if bWARpr<3.5 & wargroup==.
replace wargroup=5 if bWARpr>3.4 & bWARpr!=. 
label define wargroup 1 "Negative WAR" 2 "0-1 WAR" 3 "1-2 WAR" 4 "2-3.5 WAR" 5 "3.5+ WAR", replace
label values wargroup wargroup

gen rbigroup=.
replace rbigroup=1 if rbipr<40
replace rbigroup=2 if rbipr<55 & rbigroup==.
replace rbigroup=3 if rbipr<70 & rbigroup==.
replace rbigroup=4 if rbipr<90 & rbigroup==.
replace rbigroup=5 if rbipr>90 & rbipr!=.

gen hrgroup=.
replace hrgroup=1 if hrpr<5
replace hrgroup=2 if hrpr<10 & hrgroup==.
replace hrgroup=3 if hrpr<15 & hrgroup==.
replace hrgroup=4 if hrpr<20 & hrgroup==.
replace hrgroup=5 if hrpr<25 & hrgroup==.
replace hrgroup=6 if hrpr>25 & hrpr!=.

*Generating difference in mean salary among fa/arb players for preliminary analysis
sum aav if fa==0
gen mean_sal_by_status=r(mean) if fa==0
gen sd_sal_by_status=r(sd) if fa==0
sum aav if fa==1
replace mean_sal_by_status=r(mean) if fa==1
replace sd_sal_by_status=r(sd) if fa==1
gen sal_z_by_status=(aav-mean_sal_by_status)/sd_sal
*Dropping unused variables
drop team position filed winningbid playerbid clubbid differen midpt percentchangesal changesal yearss tota teamp inter TypeA TypeB Qual hearing supertwo determined nextyear year3 year4 year5 year6 year7 year8 year9 year10 diffr hitpr doubpr trippr ibbpr bbpr ibbpr sopr hbppr shpr sfpr gdppr  cspr opspr hitpo doubpo trippo ibbpo bbpo ibbpo sopo hbppo shpo sfpo gdppo cspo obppo opspo hit3pr doub3pr trip3pr ibb3pr bb3pr ibb3pr so3pr hbp3pr shp3pr sf3pr gdp3pr sb3pr cs3pr obp3pr ops3pr fa_hitpr fa_doubpr fa_trippr fa_ibbpr fa_bbpr fa_ibbpr fa_sopr fa_hbppr fa_shpr fa_sfpr fa_gdppr fa_cspr fa_obppr fa_opspr fa_hitpo fa_doubpo fa_trippo fa_ibbpo fa_bbpo fa_ibbpo fa_sopo fa_hbppo fa_shpo fa_sfpo fa_gdppo fa_cspo fa_obppo fa_opspo fa_hit3pr fa_doub3pr fa_trip3pr fa_ibb3pr fa_bb3pr fa_ibb3pr fa_so3pr fa_hbp3pr fa_sh3pr fa_sf3pr fa_gdp3pr fa_sb3pr fa_cs3pr fa_obp3pr fa_ops3pr bWAR3p g3p pa3p ab3p r3p hr3p rbi3p slg3p avg3p lndeter
save ../c-data/final.dta, replace
