
capture mkdir ..\c-data

*************************
****IMPORT Arbitration DATA
*************************
*Import main arbitration file
clear
import excel ..\i-data\arbitrationdata.xls, sheet(Sheet1) firstrow
drop agehearingday arbstatus
*players non-tendered, signed to minor league contracts are included in 2010 only without salary info... taking them out
drop if determinedsal==.
sort first last year
save ..\c-data\arbitrationdata.dta, replace

*Import hitters previous yeardata, 2007-2012
clear

import excel ..\i-data\hitters1yr2007.xlsx, sheet(Sheet1) firstrow

drop if first ==""
rename B last
sort first last year
save ..\c-data\hitters1yr2007.dta, replace

clear
import excel ..\i-data\hitters1yr2008.xls, sheet(Sheet1) firstrow
drop if year ==.
sort first last year
save ..\c-data\hitters1yr2008.dta, replace

clear
import excel ..\i-data\hitters1yr2009.xlsx, sheet(Sheet1) firstrow
drop if first=="Tony" & last=="Pena"
drop if year==.
sort first last year
save ..\c-data\hitters1yr2009.dta, replace

clear
import excel ..\i-data\hitters1yr2010.xlsx, sheet(Sheet1) firstrow
drop if first == "Chris" & last == "Carter"
save ..\c-data\hitters1yr2010.dta, replace

clear
import excel ..\i-data\hitters1yr2011.xlsx, sheet(Sheet1) firstrow
drop if year==.
save ..\c-data\hitters1yr2011.dta, replace

clear
import excel ..\i-data\hitters1yr2012.xlsx, sheet(Sheet1) firstrow
drop if year==.
save ..\c-data\hitters1yr2012.dta, replace

*Import hitters post year data, 2007-2012

clear
import excel ..\i-data\hitters1yr2007post.xls, sheet(Sheet1) firstrow

drop if first ==""

sort first last year
save ..\c-data\hitters1yr2007post.dta, replace

clear
import excel ..\i-data\hitters1yr2008post.xls, sheet(Sheet1) firstrow
drop if year ==.
sort first last year
save ..\c-data\hitters1yr2008post.dta, replace

clear
import excel ..\i-data\hitters1yr2009post.xls, sheet(Sheet1) firstrow
drop if first=="Tony" & last=="Pena"
drop if first=="Chris" & last=="Carter"
drop if year==.
sort first last year
save ..\c-data\hitters1yr2009post.dta, replace

clear
import excel ..\i-data\hitters1yr2010post.xls, sheet(Sheet1) firstrow
drop if first == "Chris" & last == "Carter"
save ..\c-data\hitters1yr2010post.dta, replace

clear
import excel ..\i-data\hitters1yr2011post.xls, sheet(Sheet1) firstrow
drop if year==.
save ..\c-data\hitters1yr2011post.dta, replace

clear
import excel ..\i-data\hitters1yr2012post.xls, sheet(Sheet1) firstrow
drop if year==.
save ..\c-data\hitters1yr2012post.dta, replace

*Import hitters 3yrdata, 2007-2012
clear
import excel ..\i-data\hitters3yr2007.xlsx, sheet(Sheet1) firstrow
drop if first=="Alex" & last=="Gonzalez"
drop if first=="Jose" & last=="Reyes"
sort first last year
save ..\c-data\hitters3yr2007.dta, replace


clear
import excel ..\i-data\hitters3yr2008.xlsx, sheet(Sheet1) firstrow
drop if first=="Luis" & last=="Gonzalez"
drop if first=="Alex" & last=="Gonzalez"
sort first last year
save ..\c-data\hitters3yr2008.dta, replace


clear
import excel ..\i-data\hitters3yr2009.xls, sheet(Sheet1) firstrow
drop if first=="Tony" & last=="Pena"
drop if year==.
sort first last year
save ..\c-data\hitters3yr2009.dta, replace


clear
import excel ..\i-data\hitters3yr2010.xlsx, sheet(Sheet1) firstrow
drop if first == "Chris" & last == "Carter"
drop if first == "Tony" & last == "Pena"
drop if year==.
save ..\c-data\hitters3yr2010.dta, replace
clear


clear
import excel ..\i-data\hitters3yr2011.xlsx, sheet(Sheet1) firstrow
drop if first=="Chris" & last=="Carter"
save ..\c-data\hitters3yr2011.dta, replace

clear
import excel ..\i-data\hitters3yr2012.xlsx, sheet(Sheet1) firstrow
drop if first=="Chris" & last=="Carter"
save ..\c-data\hitters3yr2012.dta, replace

*Merge hitters into main arbitration data (yearly by 1 year statistics then 3 yr statistics

clear
use ..\c-data\arbitrationdata.dta, replace
merge 1:1 first last year using ..\c-data\hitters1yr2007.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20071yr.dta, replace

clear
use ..\c-data\arbdata20071yr.dta
merge 1:1 first last year using ..\c-data\hitters1yr2007post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20071yrpost.dta, replace
clear
use ..\c-data\arbdata20071yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2007.dta, update
drop if _merge==2
drop _merge
sort year pitcher last first
save ..\c-data\arbdataall2007.dta, replace
clear

use ..\c-data\arbdataall2007.dta, replace
merge 1:1 first last year using ..\c-data\hitters1yr2008.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20081yr.dta, replace
clear
use ..\c-data\arbdata20081yr.dta
merge 1:1 first last year using ..\c-data\hitters1yr2008post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20081yrpost.dta, replace
clear

use ..\c-data\arbdata20081yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2008.dta, update
drop if _merge==2
drop _merge
sort year pitcher last first
save ..\c-data\arbdataall2008.dta, replace


clear
use ..\c-data\arbdataall2008.dta, replace
merge 1:1 first last year using ..\c-data\hitters1yr2009.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20091yr.dta, replace


clear
use ..\c-data\arbdata20091yr.dta
merge 1:1 first last year using ..\c-data\hitters1yr2009post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20091yrpost.dta, replace

use ..\c-data\arbdata20091yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2009.dta, update
drop if _merge==2
drop _merge
sort year pitcher last first
save ..\c-data\arbdataall2009.dta, replace

clear
use ..\c-data\arbdataall2009.dta
merge 1:1 first last year using ..\c-data\hitters1yr2010.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20101yr.dta, replace
clear

use ..\c-data\arbdata20101yr.dta
merge 1:1 first last year using ..\c-data\hitters1yr2010post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20101yrpost.dta, replace
clear

use ..\c-data\arbdata20101yrpost.dta, replace
merge 1:1 first last year using ..\c-data\hitters3yr2010.dta, update
drop if _merge==2
drop _merge
sort year pitcher last first
save ..\c-data\arbdataall2010.dta, replace

clear
use ..\c-data\arbdataall2010.dta, replace
merge 1:1 first last year using ..\c-data\hitters1yr2011.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20111yr.dta, replace

clear
use ..\c-data\arbdata20111yr.dta
merge 1:1 first last year using ..\c-data\hitters1yr2011post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20111yrpost.dta, replace

use ..\c-data\arbdata20111yrpost.dta, replace
merge 1:1 first last year using ..\c-data\hitters3yr2011.dta, update
drop if _merge==2
drop _merge
sort year pitcher last first
save ..\c-data\arbdataall2011.dta, replace


clear
use ..\c-data\arbdataall2011.dta, replace
merge 1:1 first last year using ..\c-data\hitters1yr2012.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20121yr.dta, replace




clear
use ..\c-data\arbdata20121yr.dta
merge 1:1 first last year using ..\c-data\hitters1yr2012post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\arbdata20121yrpost.dta, replace

clear
use ..\c-data\arbdata20121yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2012.dta, update
drop if _merge==2
drop _merge
sort year pitcher last first
save ..\c-data\arbdataall2012.dta, replace





use ..\c-data\arbdataall2012.dta, replace
*cleaning up and organizing data, calculating relevant salary figures
rename var19 year5sal
rename var18 year4sal

replace supertwo=1 if servicetime<3
replace differenc=player-club
replace midpt = (player+club)/2
replace percentchange = (determined-prior)/prior*100
replace diffrommidpt = determined - midpt
replace changesal = determined - prior
rename yearsal year3sal
replace yearssal=6 if year6sal!=.
replace yearssal=5 if year5sal!=. & year6sal==.
replace yearssal=4 if year4sal!=. & year5sal==.
replace yearssal=3 if year3sal!=. & year4sal==.
replace yearssal=2 if nextyearsal!=. & year3sal==.
replace yearssal=1 if nextyearsal==.
replace total= determinedsal if yearssal ==1
replace total= determinedsal + nextyearsal if yearssal ==2
replace total= year3sal + determinedsal + nextyearsal if yearssal ==3
replace total= year4sal + year3sal + determinedsal + nextyearsal if yearssal ==4
replace total= year5sal + year4sal + year3sal + determinedsal + nextyearsal if yearssal ==5
replace total= year6sal + year5sal + year4sal + year3sal + determinedsal + nextyearsal if yearssal ==6
replace aav = total/yearssal
replace pitcher = 1 if position==1 
replace pitcher = 1 if position==11
replace pitcher = 0 if pitcher!=1 
sort year pitcher last first
rename player playerbid
rename club clubbid
*creating free agent dummy
gen fa=0
save ..\c-data\allarbdata.dta, replace



*************************
****IMPORT Free Agent DATA
*************************
*Import main fa data
clear
import excel ..\i-data\fadata.xlsx, sheet("Sheet1") firstrow
drop age2
sort first last year
save ..\c-data\fadata.dta, replace
*importing free agents year by year, prior data then post data then 3 year data for each year
clear
use ..\c-data\fadata.dta
merge 1:1 first last year using ..\c-data\hitters1yr2007.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20071yr.dta, replace


clear
use ..\c-data\fadata20071yr.dta
merge 1:1 first last year using ..\c-data\hitters1yr2007post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20071yrpost.dta, replace
clear
use ..\c-data\fadata20071yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2007.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20073yr.dta, replace

clear
use ..\c-data\fadata20073yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2008.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20081yr.dta, replace


clear
use ..\c-data\fadata20081yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2008post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20081yrpost.dta, replace
clear

use ..\c-data\fadata20081yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2008.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20083yr.dta, replace


clear
use ..\c-data\fadata20083yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2009.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20091yr.dta, replace


clear
use ..\c-data\fadata20091yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2009post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20091yrpost.dta, replace

use ..\c-data\fadata20091yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2009.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20093yr.dta, replace

clear
use ..\c-data\fadata20093yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2010.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20101yr.dta, replace


clear
use ..\c-data\fadata20101yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2010post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20101yrpost.dta, replace

use  ..\c-data\fadata20101yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2010.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20103yr.dta, replace

clear
use ..\c-data\fadata20103yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2011.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20111yr.dta, replace


clear
use ..\c-data\fadata20111yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2011post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20111yrpost.dta, replace
clear

use ..\c-data\fadata20111yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2011.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20113yr.dta, replace

clear
use ..\c-data\fadata20113yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2012.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20121yr.dta, replace

clear
use ..\c-data\fadata20121yr.dta 
merge 1:1 first last year using ..\c-data\hitters1yr2012post.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20121yrpost.dta, replace

clear
use ..\c-data\fadata20121yrpost.dta
merge 1:1 first last year using ..\c-data\hitters3yr2012.dta, update
drop if _merge==2
sort year pitcher last first
drop _merge
save ..\c-data\fadata20123yr.dta, replace


clear
use ..\c-data\fadata20123yr.dta, replace
*destringing all relevant variables and calculating salary variables
replace position="1" if position=="SP"
replace position="2" if position=="C"
replace position="3" if position=="1B"
replace position="4" if position=="2B"
replace position="5" if position=="3B"
replace position="6" if position=="SS"
replace position="7" if position=="LF"
replace position="8" if position=="CF"
replace position="9" if position=="RF"
replace position="10" if position=="OF"
replace position="11" if position=="RP"
replace position="12" if position=="DH"
replace position="13" if position=="IF"
destring position, replace
destring total, replace
destring priorsal, replace
destring determinedsal, replace
replace percentchange = (determined-prior)/prior*100
replace changesal = determined - prior
replace aav= total/yearssal
replace team="." if team=="Japan"
destring team, replace
gen fa=1

save ..\c-data\allfadata.dta, replace


clear
